Module org.apache.derby.engine
Package org.apache.derby.vti

## Class VTITemplate.ColumnDescriptor

- java.lang.Object
- - org.apache.derby.vti.VTITemplate.ColumnDescriptor

- All Implemented Interfaces:
    `Comparable<VTITemplate.ColumnDescriptor>`
  Enclosing class:
    VTITemplate

      public static final class VTITemplate.ColumnDescriptor
      extends Object
      implements Comparable<VTITemplate.ColumnDescriptor>

  A struct class which is useful for describing columns and parameters.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `columnName` |
    `int` | `jdbcType` |
    `int` | `ordinalPosition` |
    `int` | `precision` |
    `int` | `scale` |
    `String` | `typeName` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ColumnDescriptor​(String columnName, int jdbcType, int precision, int scale, String typeName, int ordinalPosition)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(VTITemplate.ColumnDescriptor that)` | Sort on ordinalPosition
    `boolean` | `equals​(Object other)` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### columnName

          public final String columnName

    - #### jdbcType

          public final int jdbcType

    - #### precision

          public final int precision

    - #### scale

          public final int scale

    - #### typeName

          public final String typeName

    - #### ordinalPosition

          public final int ordinalPosition

  - ### Constructor Detail

    - #### ColumnDescriptor

          public ColumnDescriptor​(String columnName,
                                  int jdbcType,
                                  int precision,
                                  int scale,
                                  String typeName,
                                  int ordinalPosition)

  - ### Method Detail

    - #### compareTo

          public int compareTo​(VTITemplate.ColumnDescriptor that)

      Sort on ordinalPosition
      Specified by:
        `compareTo` in interface `Comparable<VTITemplate.ColumnDescriptor>`

    - #### equals

          public boolean equals​(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`